package org.university.core;

import java.util.ArrayList;
import java.util.Iterator;

public abstract class AbstractEmployee extends Person{
    private ArrayList<Statement> bankStatement;
    private String position;
    private double basicIncome;

    public AbstractEmployee(){

    }

    public AbstractEmployee(String position, double basicIncome) {
        this.bankStatement = new ArrayList<Statement>();
        this.position = position;
        this.basicIncome = basicIncome;
    }

    public String getPosition() {
        return position;
    }

    public void addBankStatement(Statement bankStatement) {
        this.bankStatement.add(bankStatement);
    }

    public ArrayList<Statement> getBankStatement() {
        return bankStatement;
    }

    public void setBasicIncome(double basicIncome) {
        this.basicIncome = basicIncome;
    }
    public double getCalPrice(){
        double res = 0;
        for(Statement statement : bankStatement)
            res += statement.getAmount();
        return res;
    }

    abstract public boolean isPromotable();
}
